GETDisponible

    Listar troncos SIP

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/phone-numbers/sip-trunks

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/phone-numbers/sip-trunks" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "data": [
        {
          "id": 42,
          "phone_number": "1000",
          "nickname": "Provider X — Main",
          "sip_username": "myuser",
          "sip_address": "sip.provider.com",
          "sip_calling_format": "+e164",
          "inbound_authorization_type": "auth",
          "allowed_inbound_ips": null,
          "outbound_proxy": false,
          "country_code": "US",
          "created_at": "2026-03-31T10:00:00.000000Z",
          "updated_at": "2026-03-31T10:00:00.000000Z"
        },
        {
          "id": 43,
          "phone_number": "+14155551234",
          "nickname": null,
          "sip_username": "trunk_user",
          "sip_address": "sip.provider.com",
          "sip_calling_format": "e164",
          "inbound_authorization_type": "ip",
          "allowed_inbound_ips": [
            "203.0.113.10",
            "198.51.100.20"
          ],
          "outbound_proxy": true,
          "country_code": "US",
          "created_at": "2026-03-31T11:00:00.000000Z",
          "updated_at": "2026-03-31T11:00:00.000000Z"
        }
      ]
    }

    Errores habituales